Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007982 [DCSS] Patches feature N/A 2014-01-13 21:37 2014-03-27 02:26
Reporter Sage View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.14 ancient branch
Summary 0007982: Let wandering mushrooms (and all other allies) flatten toadstools when swapping or moving towards you.
Description If flattening is dissatisfying, they can swap with the toadstool, or a different message could be printed.
Additional Information
Tags No tags attached.
Attached Files ? file icon shroomswap.patch [^] (4,993 bytes) 2014-01-13 21:37 [Show Content]
? file icon shroomswap-2.patch [^] (16,443 bytes) 2014-01-17 22:59 [Show Content]

- Relationships

-  Notes
(0024985)
KiloByte (manager)
2014-01-14 03:01

As toadstools are a resource for Fedhas worshippers, I'd rather not randomly remove them.
(0024991)
Sage (reporter)
2014-01-14 21:53

"Randomly" is a little disingenuous. That aside, I can only speak from my own experience, but I've never had a situation where I've been lacking toadstools and this patch would interfere with that--if my wandering mushrooms would be trampling on the toadstools, I'd already have enough mushrooms. However, this would address an common annoyance with Fedhas, in that my mushrooms are left behind when I sacrifice corpses in a corridor I'm travelling through, or they take some bizarre, circuitous path to get to me. And there is also the situation where mushrooms would lock you into a place until the toadstool you're on dies or you tw.
(0025009)
neil (administrator)
2014-01-17 03:00
edited on: 2014-01-17 03:02

I think having mushrooms swap with the toadstools would be better than flattening them, but if there's a rare case where they couldn't swap (I can't imagine how with mushrooms) then it would probably be okay to remove that particular toadstool.

I don't know if this should apply to allies in general, though; maybe just Fedhas gifts.

(0025012)
Sage (reporter)
2014-01-17 23:01

shroomswap-2.patch makes wandering mushrooms swap with toadstools instead of flattening them.
(0025711)
MarvinPA (developer)
2014-03-27 02:26

An updated version of this was pushed.

- Issue History
Date Modified Username Field Change
2014-01-13 21:37 Sage New Issue
2014-01-13 21:37 Sage File Added: shroomswap.patch
2014-01-14 03:01 KiloByte Note Added: 0024985
2014-01-14 21:53 Sage Note Added: 0024991
2014-01-17 03:00 neil Note Added: 0025009
2014-01-17 03:02 neil Note Edited: 0025009
2014-01-17 22:59 Sage File Added: shroomswap-2.patch
2014-01-17 23:01 Sage Note Added: 0025012
2014-03-27 02:26 MarvinPA Note Added: 0025711
2014-03-27 02:26 MarvinPA Status new => resolved
2014-03-27 02:26 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-27 02:26 MarvinPA Resolution open => done
2014-03-27 02:26 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker